/* $Id: parser.h,v 1.1.1.1 2000/06/19 09:08:15 slay Exp $ */

#ifndef __PARSER_H__
#define __PARSER_H__

#include "ipcompat.h"
#include "packet.h"
#include "misc.h"
#include "dev_struct.h"
#include "codes.h"

#ifdef SOLARIS
extern char *sys_errlist[];
#endif

/************************/
/* Global variables ... */
/************************/
char max_gbg = 0;
char *optarg;
char **l_cod_t, **cod_r, **cod_u;
u_short max_cod_r,
        max_cod_u,
        max_l_cod_t;
u_int cont_gways = 0;

extern u_long gway_ip[9];        
extern struct my_pack packet;
extern u_short is_pattern;
extern u_short resolve;
extern u_short verbose;
extern int uid;
extern char *vers_date;
extern char *disclaimer;
extern char quiet;
extern char Quiet;
/****************************/
/* ... end global variables */
/****************************/

/***************************/
/* Functions prototypes... */
/***************************/
void add_router(struct my_pack *, u_long, u_long );
int exist_host( char *, u_long * );
int exist_code( char *, char **, int );
void parse_args( int, char **, struct my_pack * );
int are_digits( char * );

#ifdef DEBUG
void recorre_lista(struct my_pack *);
#endif

#if (defined(SOLARIS) && !defined(SOLARIS_27))
extern int inet_aton( char *, struct in_addr * );
#endif

extern void ip_opt_control( char * );
extern void go_out( short int, char *, ... );
extern void go_out_error( short int, char * );
extern void help( void );
extern int look4dev( struct mi_ifaz * );
extern void where2route( struct sockaddr_in * );
/*******************************/
/* ...end functions prototypes */
/*******************************/

#endif